com.qualcomm.robotcore.hardware

## Interface HardwareDevice

- All Known Subinterfaces:
    AccelerationSensor, AnalogInputController, AnalogOutputController, ColorSensor, CompassSensor, CRServo, DcMotor, DcMotorController, DcMotorControllerEx, DcMotorEx, DcMotorSimple, DeviceInterfaceModule, DigitalChannel, DigitalChannelController, DistanceSensor, GyroSensor, I2cController, I2cDevice, I2cDeviceSynch, I2cDeviceSynchSimple, IrSeekerSensor, LegacyModule, LightSensor, NormalizedColorSensor, OpticalDistanceSensor, PWMOutput, PWMOutputController, RobotConfigNameable, Servo, ServoController, ServoControllerEx, TouchSensor, TouchSensorMultiplexer, UltrasonicSensor, VoltageSensor
  All Known Implementing Classes:
    AnalogInput, AnalogOutput, CRServoImpl, CRServoImplEx, DcMotorImpl, DcMotorImplEx, DigitalChannelImpl, I2cDeviceImpl, I2cDeviceSynchDevice, I2cDeviceSynchDeviceWithParameters, I2cDeviceSynchImpl, I2cDeviceSynchImplOnSimple, LED, PWMOutputImpl, PWMOutputImplEx, ServoImpl, ServoImplEx

      public interface HardwareDevice

  Interface used by Hardware Devices

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `HardwareDevice.Manufacturer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes this device
    `java.lang.String` | `getConnectionInfo()` Get connection information about this device in a human readable format
    `java.lang.String` | `getDeviceName()` Returns a string suitable for display to the user as to the type of device.
    `HardwareDevice.Manufacturer` | `getManufacturer()` Returns an indication of the manufacturer of this device.
    `int` | `getVersion()` Version
    `void` | `resetDeviceConfigurationForOpMode()` Resets the device's configuration to that which is expected at the beginning of an OpMode.

- - ### Method Detail

    - #### getManufacturer

          HardwareDevice.Manufacturer getManufacturer()

      Returns an indication of the manufacturer of this device.
      Returns:
        the device's manufacturer

    - #### getDeviceName

          java.lang.String getDeviceName()

      Returns a string suitable for display to the user as to the type of device. Note that this is a device-type-specific name; it has nothing to do with the name by which a user might have configured the device in a robot configuration.
      Returns:
        device manufacturer and name

    - #### getConnectionInfo

          java.lang.String getConnectionInfo()

      Get connection information about this device in a human readable format
      Returns:
        connection info

    - #### getVersion

          int getVersion()

      Version
      Returns:
        get the version of this device

    - #### resetDeviceConfigurationForOpMode

          void resetDeviceConfigurationForOpMode()

      Resets the device's configuration to that which is expected at the beginning of an OpMode. For example, motors will reset the their direction to 'forward'.

    - #### close

          void close()

      Closes this device